Tickettypes 1 endpoints

PUT /ticket_types/{id}

You can update a ticket type.

πŸ“˜ Updating a ticket type.

For the icon propery, use an emoji from Twemoji Cheatsheet

operationId: TicketTypes_updateTicketTypeById

Parameters

Name In Required Type Description
Intercom-Version header optional
id path required string

The unique identifier for the ticket type which is given by Intercom.

Request Body

application/json
schema update_ticket_type_request
Property Type Required
icon string optional
name string optional
archived boolean optional
description string optional
is_internal boolean optional

Responses

200

Ticket type updated

401

Unauthorized

PUT /ticket_types/{id}

Tickets 4 endpoints

POST /tickets

You can create a new ticket.

operationId: Tickets_createNewTicket

Parameters

Name In Required Type Description
Intercom-Version header optional

Request Body

application/json
schema create_ticket_request
Property Type Required
contacts array required
ticket_type_id string required
ticket_attributes object optional

Responses

200

Successful response

401

Unauthorized

POST /tickets
GET /tickets/{id}

You can fetch the details of a single ticket.

operationId: Tickets_getTicketDetails

Parameters

Name In Required Type Description
Intercom-Version header optional
id path required string

The unique identifier for the ticket which is given by Intercom.

Responses

200

Ticket found

401

Unauthorized

GET /tickets/{id}
PUT /tickets/{id}

You can update a ticket.

operationId: Tickets_updateTicketById

Parameters

Name In Required Type Description
Intercom-Version header optional
id path required string

The unique identifier for the ticket which is given by Intercom

Request Body

application/json
schema update_ticket_request
Property Type Required
state string optional
is_shared boolean optional
assignment object optional
β”” admin_id string optional
β”” assignee_id string optional
ticket_attributes object optional

Responses

200

Successful response

401

Unauthorized

404

Assignee not found

PUT /tickets/{id}
POST /tickets/{id}/reply

You can reply to a ticket with a note from an admin.

operationId: Tickets_replyNote

Parameters

Name In Required Type Description
Intercom-Version header optional
id path required string

Request Body

application/json
schema create_ticket_reply_request
Property Type Required
body string required
admin_id string required
message_type string optional

Responses

200

Admin note reply

401

Unauthorized

POST /tickets/{id}/reply

Visitors 5 endpoints

GET /visitors

You can fetch the details of a single visitor.

operationId: Visitors_getWithUserId

Parameters

Name In Required Type Description
Intercom-Version header optional
user_id query required string

The user_id of the Visitor you want to retrieve.

Responses

200

successful

401

Unauthorized

404

Visitor not found

GET /visitors
PUT /visitors

Sending a PUT request to /visitors will result in an update of an existing Visitor.

Option 1. You can update a visitor by passing in the user_id of the visitor in the Request body.

Option 2. You can update a visitor by passing in the id of the visitor in the Request body.

operationId: Visitors_updateExistingVisitor

Parameters

Name In Required Type Description
Intercom-Version header optional

Request Body

application/json
schema update_visitor_request
Property Type Required
id string optional
name string optional
user_id string optional
custom_attributes object optional

Responses

200

successful

401

Unauthorized

404

visitor Not Found

PUT /visitors
POST /visitors/convert

You can merge a Visitor to a Contact of role type lead or user.

πŸ“˜ What happens upon a visitor being converted?

If the User exists, then the Visitor will be merged into it, the Visitor deleted and the User returned. If the User does not exist, the Visitor will be converted to a User, with the User identifiers replacing it’s Visitor identifiers.

operationId: Visitors_convertVisitorToContact

Parameters

Name In Required Type Description
Intercom-Version header optional

Request Body

application/json
schema convert_visitor_request
Property Type Required
type string required
user object required
β”” id string optional
β”” email string optional
β”” user_id string optional
visitor object required
β”” id string optional
β”” email string optional
β”” user_id string optional

Responses

200

successful

401

Unauthorized

POST /visitors/convert
DELETE /visitors/{id}

You can delete a single visitor.

operationId: Visitors_deleteVisitorById

Parameters

Name In Required Type Description
Intercom-Version header optional
id path required string

Id provided by Intercom.

Responses

200

successful

401

Unauthorized

404

Visitor Not Found

DELETE /visitors/{id}
GET /visitors/{id}

You can fetch the details of a single visitor.

operationId: Visitors_getById

Parameters

Name In Required Type Description
Intercom-Version header optional
id path required string

Id provided by Intercom.

Responses

200

successful

401

Unauthorized

404

Visitor not found

GET /visitors/{id}